/**
 * @param {object} input
 * @param {ComponentInfo} info
 */
module.exports = async function (input, info) {
  function hasDxpApiKey(obj) {
    if (typeof obj === 'object' && obj !== null) {
      if (obj.hasOwnProperty('dxpApiKey')) {
        return true;
      }
      for (const prop in obj) {
        if (hasDxpApiKey(obj[prop])) {
          return true;
        }
      }
    }
    return false;
  }

  if (hasDxpApiKey(input) || hasDxpApiKey(info)) {
    return 'true';
  }

  return 'false';
};
